%define version 2.1.1
%define rel 4
%define use_git 0
%define gitcommit 0
#56cc6cd9cbdc85eaa0224676fa55a5dc752532be

%if %{use_git}
%define release %mkrel 2.%{gitcommit}.%{rel}
%define sversion %{gitcommit}
%else
%define release %mkrel %{rel}
%define sversion %{version}
%endif

Name: moblin-web-browser
Summary: Moblin web browser
Group: Networking/WWW
Version: %{version}
License: LGPL
URL: http://www.moblin.org
Release: %{release}
Source0: http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0: moblin-web-browser-1.9.3-idldir.patch
Patch1: moblin-web-browser-1.9.3-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: clutter-mozembed-devel
BuildRequires: mozilla-headless-services-devel
BuildRequires: xulrunner-headless-devel
BuildRequires: nbtk-devel
BuildRequires: mesagl-devel
BuildRequires: unique-devel
BuildRequires: libgtk+2-devel
BuildRequires: startup-notification-devel
BuildRequires: libdbus-glib-devel
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: moblin-panel-devel
BuildRequires: zip

Requires: xulrunner-headless
Requires: clutter-mozembed

%description
Moblin web browser

%package panel
Summary: Moblin web panel
Group: Networking/WWW
Requires: %{name} = %{version}-%{release}

%description panel
Moblin web panel

%prep
%setup -q -n %{name}-%{sversion}
%patch0 -p1
%patch1 -p1 -b .lib64

%build
NOCONFIGURE=nil ./autogen.sh
%configure2_5x --enable-browser --enable-netpanel --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_libdir}/xulrunner-1.9.2a1pre*/*

%files panel
%defattr(-,root,root,-)
%{_libexecdir}/moblin-panel-internet
%{_datadir}/dbus-1/services/*service


%changelog
* Tue Nov 17 2009 Caio Begotti <caio1982@mandriva.org> 2.1.1-4mdv2010.1
+ Revision: 466882
- to be honest i don't know why did we put it in there before

* Fri Nov 13 2009 Caio Begotti <caio1982@mandriva.org> 2.1.1-3mdv2010.1
+ Revision: 465779
- move the requires from task-moblin to who really pulls it (bump)

* Tue Nov 10 2009 Caio Begotti <caio1982@mandriva.org> 2.1.1-2mdv2010.1
+ Revision: 464191
- dummy commit to check a signing problem

* Thu Oct 29 2009 Caio Begotti <caio1982@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 460159
- new upstream release targeted for moblin 2.1 final
- not needed anymore in 2.1.1

* Wed Oct 07 2009 Olivier Blin <oblin@mandriva.com> 1.9.3-2mdv2010.0
+ Revision: 455462
- use find_lang
- split panel package

* Wed Oct 07 2009 Olivier Blin <oblin@mandriva.com> 1.9.3-1mdv2010.0
+ Revision: 455390
- buildrequire zip
- fix build on x86_64
- fix buildrequires for x86_64
- buildrequire moblin-panel-devel
- fix crash at startup when using startup-notification
- allow to use git snapshots
- initial release (from Caio Begotti, based on Moblin package)
- Created package structure for moblin-web-browser.

